/***

Copyright 2011-2012 Carlos Moreno Munoz

This file is part of Vands.

Vands is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Foobar is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
****/

//DECLARACION DE CONSTANTES

//Parametros de escala
const ALTURA_VENTANA=500;
const ESCALA_GENERAL=ALTURA_VENTANA/100;
const ANCHURA_VENTANA=160*ESCALA_GENERAL;
const ANCHURA_NAVEGADOR=window.innerWidth;
const ALTURA_NAVEGADOR=window.innerHeight;
const MARGEN_ENTRE_BANDAS=50;

//Parametros de animacion
const INTERVALO_REFRESCAR_PANTALLA=5;
const MAX_CAMBIO_FOTOGRAMA=250;
const MAX_VELOCIDAD=1;
const MAX_DOWN_TIME=50;
const ESCALA_MAX_BANDAS=1.25;
const CENTRAR_BANDA_X=ANCHURA_VENTANA/2-100;
const CENTRAR_BANDA_Y=ALTURA_VENTANA/4-50;

//Estados del menu
const MENU_INACTIVO=0;
const DESPLEGAR_MENU=1;
const REPLEGAR_MENU=2;

const MENU_MARGIN=100;
const MAX_MENU_HIGHT=25;

//Url imagenes

//Remoto
const URL_IMAGENES="http://vands.net78.net/django/imagenes/";
//Local
//const URL_IMAGENES="C:/Users/Carlos/Documents/Universidad/Proyecto/Pruebas/django/vands/imagenes/";

//Scenario grid
const GRID_COLUMNS=13;
const GRID_ROWS=10;
const TAM_GRID_SQUARE_X=ANCHURA_VENTANA/GRID_COLUMNS;
const TAM_GRID_SQUARE_Y=ALTURA_VENTANA/GRID_ROWS;

//Fadein, fadeout
const FADE_SPEED=0.02;

//Alineacion texto
const AL_IZQ=0;
const AL_DER=1;
const AL_CEN=2;

//Dialogo
const TAG_ELIMINAR_MIEMBRO=0;