/***

Copyright 2011-2012 Carlos Moreno Munoz

This file is part of Vands.

Vands is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Foobar is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
****/

//DECLARACIoN DE CONSTANTES

//Parametros de escala
const ALTURA_VENTANA=500;
const ESCALA_GENERAL=ALTURA_VENTANA/100;
const ANCHURA_VENTANA=160*ESCALA_GENERAL;
const ANCHURA_NAVEGADOR=window.innerWidth;
const ALTURA_NAVEGADOR=window.innerHeight;

//Parametros de animacion
const INTERVALO_REFRESCAR_PANTALLA=5;
const MAX_CAMBIO_FOTOGRAMA=250;
const MAX_VELOCIDAD=1;
const MAX_DOWN_TIME=50;
const ALTURA_EFECTIVA=ALTURA_VENTANA-200;

//Estados de un boton
const BOCADILLO_INACTIVO=0;
const ABRIR_BOCADILLO=1;
const CERRAR_BOCADILLO=2;

//Estados del menu
const MENU_INACTIVO=0;
const DESPLEGAR_MENU=1;
const REPLEGAR_MENU=2;

const MENU_MARGIN=100;
const MAX_MENU_HIGHT=25;

//Url imagenes
//Remoto
const URL_IMAGENES="http://vands.net78.net/django/imagenes/";
//Local
//const URL_IMAGENES="C:/Users/Carlos/Documents/Universidad/Proyecto/Pruebas/django/vands/imagenes/";

//Scenario grid
const GRID_COLUMNS=12;
const GRID_ROWS=10;
const TAM_GRID_SQUARE_X=ANCHURA_VENTANA/GRID_COLUMNS;
const TAM_GRID_SQUARE_Y=ALTURA_VENTANA/GRID_ROWS;

//Fadein, fadeout
const FADE_SPEED=0.02;

//Tags
const TAG_GUITAR=0;
const TAG_AMP=1;
const TAG_PHONE=2;

const TAG_BAND_REQUEST=0;